(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      7602,        211]
NotebookOptionsPosition[      7130,        192]
NotebookOutlinePosition[      7576,        209]
CellTagsIndexPosition[      7533,        206]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"solveEqDif", "[", 
    RowBox[{"f_", ",", "xy0_", ",", "tmax_"}], "]"}], ":=", 
   "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"sol", ",", "tp"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"sol", "=", 
       RowBox[{"NDSolve", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"x", "'"}], "[", "t", "]"}], "\[Equal]", 
            RowBox[{"x", "[", "t", "]"}]}], ",", 
           RowBox[{
            RowBox[{
             RowBox[{"y", "'"}], "[", "t", "]"}], "==", 
            RowBox[{
             RowBox[{"y", "[", "t", "]"}], 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"x", "[", "t", "]"}], "-", 
                RowBox[{
                 RowBox[{"y", "[", "t", "]"}], "^", "2"}]}], ")"}], "/", 
              RowBox[{
               RowBox[{"x", "[", "t", "]"}], "^", "2"}]}]}]}], ",", 
           RowBox[{
            RowBox[{"x", "[", "0", "]"}], "==", 
            RowBox[{"xy0", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"y", "[", "0", "]"}], "==", 
            RowBox[{"xy0", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"tp", "=", 
       RowBox[{"sol", "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "1", ",", "2", ",", "1", ",", "1", ",", "2"}], 
         "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"ParametricPlot", "[", 
       RowBox[{
        RowBox[{"Evaluate", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"x", "[", "t", "]"}], ",", 
            RowBox[{"y", "[", "t", "]"}]}], "}"}], "/.", "sol"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "tp"}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Magenta", ",", "Thick"}], "}"}]}]}], "]"}]}]}], 
    "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.464173784328125*^9, 3.464173994703125*^9}, {
  3.4641740588125*^9, 3.464174164890625*^9}, {3.464174283171875*^9, 
  3.464174308421875*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"StreamPlot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"y", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"x", "-", 
             RowBox[{"y", "^", "2"}]}], ")"}], "/", 
           RowBox[{"x", "^", "2"}]}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
       RowBox[{"ColorFunction", "\[Rule]", "None"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"Sqrt", "[", "x", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "3"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", "Red"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"Sqrt", "[", "x", "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "3"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", "Red"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"Sqrt", "[", 
        RowBox[{"x", "/", "2"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "3"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", "Green"}]}], "]"}], ",", 
     RowBox[{"solveEqDif", "[", 
      RowBox[{"f", ",", "p", ",", "5"}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", "Locator"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.464174184*^9, 3.464174187265625*^9}, {
  3.46417422253125*^9, 3.4641742595*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`p$$ = {0.9849999999999999, 
    0.41999999999999993`}, Typeset`show$$ = True, Typeset`bookmarkList$$ = {},
     Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`p$$], {1, 1}}, Automatic}}, Typeset`size$$ = {
    360., {177., 184.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`p$$ = {1, 1}}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        StreamPlot[{$CellContext`x, $CellContext`y (($CellContext`x - \
$CellContext`y^2)/$CellContext`x^2)}, {$CellContext`x, -3, 
          3}, {$CellContext`y, -3, 3}, ColorFunction -> None], 
        Plot[
         Sqrt[$CellContext`x], {$CellContext`x, 0, 3}, PlotStyle -> Red], 
        Plot[-Sqrt[$CellContext`x], {$CellContext`x, 0, 3}, PlotStyle -> Red], 
        Plot[
         Sqrt[$CellContext`x/2], {$CellContext`x, 0, 3}, PlotStyle -> Green], 
        $CellContext`solveEqDif[$CellContext`f, $CellContext`p$$, 5]], 
      "Specifications" :> {{{$CellContext`p$$, {1, 1}}, Automatic, 
         ControlType -> Locator}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{417., {212., 219.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.464174261859375*^9, 3.4642802975625*^9, 
  3.681632692700165*^9, 3.6862989836029997`*^9}]
}, Open  ]]
},
WindowSize->{1505, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
CellLabelAutoDelete->True,
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (July 28, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 2490, 67, 145, "Input"],
Cell[CellGroupData[{
Cell[3060, 91, 1904, 55, 107, "Input"],
Cell[4967, 148, 2147, 41, 448, "Output"]
}, Open  ]]
}
]
*)

